#ifndef __PARAMETERES_H__
#define __PARAMETERES_H__

#include "DescriptorBase.h"

//! class for descriptor parameters
class __declspec (dllexport) Parameters
{
public:
	//!constructor - ititialises with default values
	Parameters();
    //!get the value of a parameter
	int GetParameter(char *parname);
	//!read all parameters from a .txt parameter file
	int ReadParameterFile(char *filename);

	int ColorQuantSize;
	int	NumberOfYCoeff; 
	int	NumberOfCCoeff; 
	int	ColorSpacePresent; 
	int	ColorQuantizationPresent;
	int	VariancePresent;
	int	SpatialCoherency;
	int	layer;
	int	NumberOfBitplanesDiscarded;
	int	NumberOfCoefficients;
	int	ColorSpace;
	int	ColorReferenceFlag;
};



#endif